curl "https://api.dabarai.com/v1/politics?page=1&pageSize=12&search=legal" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": [
{
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos proporcionados...",
"rules": [
{ "name": "R1", "description": "..." }
],
"knowledgeFiles": [],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
],
"total": 1,
"page": 1,
"pageSize": 12
}
Politics
List politics
Paginated list of the authenticated user’s politics
GET
/
politics
curl "https://api.dabarai.com/v1/politics?page=1&pageSize=12&search=legal" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": [
{
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos proporcionados...",
"rules": [
{ "name": "R1", "description": "..." }
],
"knowledgeFiles": [],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
],
"total": 1,
"page": 1,
"pageSize": 12
}
Query parameters
integer
default:"1"
Page number, 1-indexed.
integer
default:"12"
Number of items per page.
string
Case-insensitive substring match against
name and description.Headers
string
required
Your Dabar API token.
Response
boolean
Politics[]
Array of politics documents sorted by
updatedAt descending.integer
Total number of politics matching the filter (ignores pagination).
integer
integer
curl "https://api.dabarai.com/v1/politics?page=1&pageSize=12&search=legal" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": [
{
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos proporcionados...",
"rules": [
{ "name": "R1", "description": "..." }
],
"knowledgeFiles": [],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
],
"total": 1,
"page": 1,
"pageSize": 12
}